Subject: Re: [PWE3] WG Poll on draft-jin-pwe3-cbit-negotiation-03.txt ( comment )

From: [email-masked]
Date: Thu, 17 Mar 2011 23:23:54 +0800

Andy,
Thanks for the suggestion, and will do the presentation at MPLS.

Lizhong

"Malis, Andrew G. (Andy)" <[email-masked]> wrote on 2011-03-17 
19:33:08:

> Lizhong,
> 
> Thanks. Since this affects LDP, you should ask for time on the MPLS 
> WG’s agenda to present it there in addition to presenting it in PWE3.
> 
> Cheers,
> Andy
> 
> On 3/16/11 23:07 , "[email-masked]" <[email-masked]> 
wrote:

> 
> Hi Andy, 
> Thank you very much. We have uploaded the 04 version. Please get it 
> from the following link: 
> http://tools.ietf.org/html/draft-jin-pwe3-cbit-negotiation-04.txt 
> 
> Regards 
> Lizhong 
> 
> 
> [email-masked] wrote on 2011-03-07 23:52:22:
> 
> > Lizhong,
> > 
> > There's been a lot of support for WG adoption of this draft. Please
> > update the draft to -04 to reflect the discussion on the list (before
> > the window closes in a week) and we'll announce the adoption in
> > Prague, followed by having you issue the WG version of the draft.
> > 
> > Thanks,
> > Andy
> > 
> > On Thu, Mar 3, 2011 at 10:41 AM,  <[email-masked]> wrote:
> > >
> > > Luca,
> > > After discussing with the authors, we decide to add the wait for 
label
> > > release before sending label request, this wouldn't harm and bring 
some
> > > secure.
> > >
> > > Then are you OK with the following text?
> > >
> > > When Local PE changes its control word from NOT PREFERRED to 
PREFERRED and
> > > only if it already received the remote label mapping message with 
C-bit=0,
> > > additional procedure will be added as follow:
> > > -i Local PE MUST send a label withdraw message to remote PE if it 
has
> > > previously sent a label mapping, and wait until receiving a label 
release
> > > from the remote PE.
> > > -ii Local PE MUST send a label request message to remote PE, andwait 
until
> > > receiving a label mapping message containing the remote PE 
configured
> > > control word setting.
> > > -iii After receiving remote PE label mapping with control word 
setting,
> > > Local PE MUST follow procedures defined in [RFC4447] section 6 
> when sending
> > > it's label mapping message.
> > >
> > > Correspondingly, the modified procedure of PE in figure 1 will be as
> > > follows:
> > >
> > > 1. PE2 changes locally configured control word to PREFERRED.
> > > 2. PE2 will then send label withdraw message to PE1.
> > > 3. PE1 MUST send label release in reply to label withdraw 
> message from PE2.
> > > 4. Upon receipt of Label release message from PE1, PE2 MUST send 
label
> > > request messages to PE1 although it already received the label 
> mapping with
> > > C-bit=0.
> > > 5. PE1 MUST send label mapping message with C-bit=1 again to 
PE2(Note: PE1
> > > MUST send label mapping with locally configured CW parameter).
> > > 6. PE2 receives the label mapping from PE1 and updates the remote 
label
> > > binding information. PE2 MUST wait for PE1 label binding before 
> sending its
> > > label binding with C-bit set, only if it previously had a label 
> binding with
> > > C-bit = 0 from PE1.
> > > 7. PE2 will send label mapping to PE1 with C-bit=1.
> > >
> > > It is to be noted that the above assume that PE1 is configured to 
support
> > > CW, however in step 5 if PE1 doesn't support CW, PE1 would send the 
label
> > > mapping message with C-bit =0, this would result in PE2 in step 
> 7 sending a
> > > label mapping with C-bit=0 as per [RFC4447] CW negotiation 
procedure.
> > >
> > > Thanks
> > > Lizhong
> > >
> > >
> > > ------------send by Luca 
> Martini-------------------------------------------
> > > Matthew & Andy,
> > >
> > >
> > > Although I support clarifying this procedure , I believe this 
document
> > > needs some work.
> > > In section 3 for example :
> > >
> > >    When Local PE changes its control word from NOT PREFERRED to
> > >    PREFERRED and only if it already received the remote label 
mapping
> > >    message with C-bit=0, additional procedure will be added as 
follow:
> > >
> > >          -i. Local PE sends label withdraw message to the remote if 
it
> > >              already sends label mapping message, for it has changed 
its
> > >              control word parameter.
> > >
> > >         -ii. Local PE MUST send a label request messages to peer PE 
to
> > >              get peer's configured control word parameter before 
sending
> > >              new label mapping message to peer PE.
> > >
> > >        -iii. After receiving the new label mapping message from peer 
PE
> > >              and updating the remote label binding information, the
> > >              Local PE should send label mapping to peer PE according 
to
> > >              procedures defined in [RFC4447].
> > >
> > > What does the item i) mean ? the English is not clear.
> > > Why does the PE have to do ii) ?
> > >
> > > All we really need is a statement on how the c-bit negotiation state
> > > machine can be reset if one end has changed "his mind" .
> > >
> > > Can we fix this document before  issuing the -00 WG draft version ?
> > >
> > > Thanks.
> > > Luca
> > >
> 

--------------------------------------------------------
ZTE Information Security Notice: The information contained in this mail is solely property of the sender's organization. This mail communication is confidential. Recipients named above are obligated to maintain secrecy and are not permitted to disclose the contents of this communication to others.
This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed. If you have received this email in error please notify the originator of the message. Any views expressed in this message are those of the individual sender.
This message has been scanned for viruses and Spam by ZTE Anti-Spam system.